Bug 1762948 - Branch request: python3-pickleshare for epel8
Summary: Branch request: python3-pickleshare for epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pickleshare
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1758271
TreeView+ depends on / blocked
 
Reported: 2019-10-17 21:00 UTC by Ling Li
Modified: 2020-03-09 22:42 UTC (History)
2 users (show)

Fixed In Version: python-pickleshare-0.7.5-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-09 22:42:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Ling Li 2019-10-17 21:00:59 UTC
Please build python-pickleshare for EPEL 8, which is a prerequisite for ipython (Bug 1758271).  The component is not in Fedora EPEL yet so I am filing the bug against Fedora.  Since ipython stopped supporting Python 2.7, I think it's fine to just package the python3 part.

Comment 1 Mukundan Ragavan 2019-10-17 22:27:32 UTC
Like I mentioned here - https://bugzilla.redhat.com/show_bug.cgi?id=1762512

I plan to branch and update several of the packages I maintain or co-maintain in about ten days from now.

I will create a pickleshare branch as well at that time unless someone from python-sig does it first.

Comment 2 Ling Li 2019-11-05 23:42:44 UTC
ping ... 

Thanks.

Comment 3 Mukundan Ragavan 2019-11-06 23:37:53 UTC
Sorry for the delay. I have been really busy these days. I will endeavor to get this to EPEL8 by the end of this month.

Comment 4 Ling Li 2020-01-21 00:08:25 UTC
again, ping ... it seems this is the last blocking issue for ipython in epel 8.

Thanks.

Comment 5 Mukundan Ragavan 2020-01-26 16:19:03 UTC
Requested a branch. Once approved, I will build it.

Comment 6 Mukundan Ragavan 2020-01-26 16:19:48 UTC
https://pagure.io/releng/fedora-scm-requests/issue/21756

Comment 7 Ling Li 2020-02-06 22:03:10 UTC
Thank you.  The link you posted above (https://pagure.io/releng/fedora-scm-requests/issue/21756) reads that the branch already exists.

Comment 8 Ben Cotton 2020-02-11 16:40:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 9 Mukundan Ragavan 2020-02-18 02:08:39 UTC
Built on epel8. Can you test?

https://koji.fedoraproject.org/koji/buildinfo?buildID=1463886

Comment 10 Ling Li 2020-02-18 16:55:20 UTC
Thank you.  I've never used it separately; it is required merely because ipython depends on it.  But I did download and rpm install the epel8 build, and the pickleshare module could be imported in python 3.6.

Comment 11 Fedora Update System 2020-02-23 15:50:40 UTC
FEDORA-EPEL-2020-a588499d63 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a588499d63

Comment 12 Fedora Update System 2020-02-24 02:13:18 UTC
python-pickleshare-0.7.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-a588499d63

Comment 13 Fedora Update System 2020-03-09 22:42:46 UTC
python-pickleshare-0.7.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.